# maplibre::stages - Rust
Stages for requesting and preparing data
Keywords: rust, rustlang, rust-lang, stages

# Module maplibre::stages

source · [−]
Expand description

Stages for requesting and preparing data

## Modules

message
populate_tile_store_stage

Receives data from async threads and populates the `crate::io::tile_repository::TileRepository`.

request_stage

Requests tiles which are currently in view

## Structs

HeadedPipelineProcessor
SharedThreadState

Stores and provides access to the thread safe data shared between the schedulers.

## Functions

register_stages

Register stages required for requesting and preparing new tiles.